Utopia PaymentsDocs
Products

List products

GET
/products

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string

The next_cursor of the previous page.

status?unknown

Value in

  • "active"
  • "draft"
  • "archived"
billing?unknown

Value in

  • "one_time"
  • "recurring"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/products"
{  "items": [    {      "object": "product",      "product_id": "pdt_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "name": "string",      "description": "string",      "price": 0,      "currency": "AED",      "billing": "one_time",      "billing_interval": "day",      "interval_count": 1,      "status": "active",      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}